Ruby: Data Fields

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - w -

- w : BigStruct, queue_waiter, Size
- w_bits : internal_state
- w_mask : internal_state
- w_size : internal_state
- wait : rb_ractor_sync
- wait_moving : rb_ractor_sync::ractor_wait
- wait_none : rb_ractor_sync::ractor_wait
- wait_receiving : rb_ractor_sync::ractor_wait
- wait_taking : rb_ractor_sync::ractor_wait
- wait_yield : rb_global_vm_lock_struct
- wait_yielding : rb_ractor_sync::ractor_wait
- waiter : join_arg
- waiting_fds : rb_vm_struct
- waiting_grps : rb_vm_struct
- waiting_pids : rb_vm_struct
- waitpid_lock : rb_vm_struct
- waitpid_state : rb_execarg
- waitq : autoload_state, rb_condvar, rb_global_vm_lock_struct, rb_mutex_struct
- wakeup_by_close : rb_ractor_sync::ractor_wait
- wakeup_by_interrupt : rb_ractor_sync::ractor_wait
- wakeup_by_retry : rb_ractor_sync::ractor_wait
- wakeup_by_send : rb_ractor_sync::ractor_wait
- wakeup_by_take : rb_ractor_sync::ractor_wait
- wakeup_by_yield : rb_ractor_sync::ractor_wait
- wakeup_none : rb_ractor_sync::ractor_wait
- wakeup_status : rb_ractor_sync::ractor_wait
- want : gz_state
- warn : ruby_cmdline_options
- warning : ruby_cmdline_options
- warnings_flag : ScanEnv
- was : inflate_state
- wb_unprotected_bits : heap_page
- wbits : inflate_state
- wbuf : rb_io_t
- wday : tmx_funcs
- wds : Bigint
- wfd : select_args
- wfd_node : waiting_fd
- whave : inflate_state
- window : inflate_state, internal_state, point
- window_size : internal_state
- wmap2obj : weakmap
- wnext : inflate_state
- wnode : waitpid_state
- wnum0 : tmx_funcs
- wnum1 : tmx_funcs
- word : RHash
- word_array : rb_transcoder
- word_array_length : rb_transcoder
- word_size : rb_transcoder
- work : inflate_state
- workqueue : rb_vm_struct
- workqueue_lock : rb_vm_struct
- wrap : inflate_state, internal_state, ptr_data
- wrap_struct_name : rb_data_type_struct
- wrapper : rb_iseq_struct
- write() : ozstream, select_args
- write_lock : rb_io_t
- writebuf : rb_transcoding
- writebuf_len : rb_transcoding
- writebuf_off : rb_transcoding
- writeconv : rb_io_t
- writeconv_asciicompat : rb_io_t
- writeconv_initialized : rb_io_t
- writeconv_pre_ecflags : rb_io_t
- writeconv_pre_ecopts : rb_io_t
- wset : select_set
- wsize : inflate_state
- ww : BigStruct